// Tony Urschler

#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/sem.h>
#include <sys/stat.h>
#include "config.h"

#ifndef LICENSE_H
#define LICENSE_H

union semun {
    int                 val;
    struct semid_ds*    buf;
    unsigned short*     array;
#if defined(__linux__)
    struct seminfo* __buf;
#endif
};

int getlicense(int semid, int* nlicenses);
int returnlicense(int semid, int* nlicenses);
int initlicense(int val, int semids[]);
int addtolicenses(int n, int semid, int* nlicenses);
int removelicenses(int n, int semid, int* nlicenses);
int logmsg(int semid, const char* msg);

#endif
